import { WeaTools } from 'ecCom'

export const getTableEdit = (params) => {
  return WeaTools.callApi('/api/hrm/carddisplay/getCustomCardTable', 'GET', params);
}
export const userDefineCardItemSave = (params) => {
  return WeaTools.callApi('/api/hrm/carddisplay/saveCustomCard', 'POST', params);
}
export const hasRight = (params) => {
  return WeaTools.callApi('/api/bs/hrmorganization/cardAccess/hasRight', 'GET', params);
}
export const getTable = (params) => {
  return WeaTools.callApi('/api/bs/hrmorganization/cardAccess/getTable', 'GET', params);
}
export const cardAccessSave = (params) => {
  return WeaTools.callApi('/api/bs/hrmorganization/cardAccess/save', 'POST', params);
}
export const getCardButtonTable = (params) => {
  return WeaTools.callApi('/api/bs/hrmorganization/cardAccess/getCardButtonTable', 'GET', params);
}
export const saveFieldDefinedInfo = (params) => {
  return WeaTools.callApi('/api/bs/hrmorganization/cardAccess/saveCardButton', 'POST', params);
}

